#include <bits/stdc++.h>
using namespace std;

int a1, a2;
string c;

int main()
{
    cin >> c;
    scanf("%d %d", &a1, &a2);
    if (a1 < a2)
    {
        swap(a1, a2);
        swap(c[0], c[1]);
    }
    if (a1 - a2 > 1)
    {
        cout << "nemoguce" << endl;
    }
    else
    {
        while (a1 > 0 || a2 > 0)
        {
            if (a1 > 0)
            {
                a1--;
                cout << c[0];
            }
            if (a2 > 0)
            {
                a2--;
                cout << c[1];
            }
        }
    }
    return 0;
}